i.rgb.his(1)

NAME
i.rgb.his - Red-green-blue (rgb) to hue-intensity-saturation (his) raster map color transformation function.

KEYWORDS
imagery

SYNOPSIS
i.rgb.his
i.rgb.his help
i.rgb.his red_input=string green_input=string blue_input=string hue_output=string intensity_output=string saturation_output=string [--overwrite]

  Flags:

--overwrite

  Parameters:

red_input=string
    input map representing the red

green_input=string
    input map representing the green

blue_input=string
    input map representing the blue

hue_output=string
    output hue map name

intensity_output=string
    output intensity map name

saturation_output=string
    output saturation map name

DESCRIPTION
i.rgb.his is an image processing program that processes three input raster map layers as red, green, and blue components and produces three output raster map layers representing the hue, intensity, and saturation of the data. The output raster map layers are created by a standard red-green-blue (rgb) to hue-intensity-saturation (his) color transformation. Each output raster map layer is given a linear gray scale color table. The current geographic region definition and mask settings are respected.

SEE ALSO
hsv.rgb.sh
i.his.rgb
rgb.hsv.sh

AUTHOR
David Satnik, GIS Laboratory, Central Washington University,
with acknowledgements to Ali Vali, Space Research Center, for the core routine.

Last changed: $Date: 2003/04/17 14:50:35 $

Full index